Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SelectedNodePaths Class Reference
Inheritance diagram for SelectedNodePaths:

## Public Member Functions
| __init__ (self)
| __getitem__ (self, index)
| addTag (self, tag)
| dehighlightAll (self)
| deselect (self, nodePath)
| deselectAll (self)
| forEachDeselectedNodePathDo (self, func)
| forEachSelectedNodePathDo (self, func)
| getDeselectedAsList (self)
| getDeselectedDict (self, id)
| getDirectNodePath (self, nodePath)
| getNumSelected (self)
| getSelectedAsList (self)
| getSelectedDict (self, id)
| getWrt (self, nodePath)
| getWrtAll (self)
| highlightAll (self)
| isolateSelected (self)
| moveWrtWidget (self, nodePath)
| moveWrtWidgetAll (self)
| removeAll (self)
| removeSelected (self)
| removeTag (self, tag)
| reset (self)
| select (self, nodePath, fMultiSelect=0, fSelectTag=1)
| toggleVisAll (self)
| toggleVisSelected (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| deselect
dict | deselectedDict = {}
| getWrt
| moveWrtWidget
dict | selectedDict = {}
list | selectedList = []
list | tagList = []

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ __getitem__()

__getitem__ | ( |  | self,
|  |  | index )

## ◆ addTag()

addTag | ( |  | self,
|  |  | tag )

## ◆ dehighlightAll()

dehighlightAll | ( |  | self | ) |

## ◆ deselect()

deselect | ( |  | self,
|  |  | nodePath )

     Deselect the specified node path

## ◆ deselectAll()

deselectAll | ( |  | self | ) |

## ◆ forEachDeselectedNodePathDo()

forEachDeselectedNodePathDo | ( |  | self,
|  |  | func )

    Perform given func on deselected node paths.  No node path
    connectivity verification performed

## ◆ forEachSelectedNodePathDo()

forEachSelectedNodePathDo | ( |  | self,
|  |  | func )

    Perform given func on selected node paths.  No node path
    connectivity verification performed

## ◆ getDeselectedAsList()

getDeselectedAsList | ( |  | self | ) |

## ◆ getDeselectedDict()

getDeselectedDict | ( |  | self,
|  |  | id )

    Search deselectedDict for node path, try to repair broken node paths.

## ◆ getDirectNodePath()

getDirectNodePath | ( |  | self,
|  |  | nodePath )

## ◆ getNumSelected()

getNumSelected | ( |  | self | ) |

## ◆ getSelectedAsList()

getSelectedAsList | ( |  | self | ) |

    Return a list of all selected node paths.  No verification of
    connectivity is performed on the members of the list

## ◆ getSelectedDict()

getSelectedDict | ( |  | self,
|  |  | id )

    Search selectedDict for node path, try to repair broken node paths.

## ◆ getWrt()

getWrt | ( |  | self,
|  |  | nodePath )

## ◆ getWrtAll()

getWrtAll | ( |  | self | ) |

## ◆ highlightAll()

highlightAll | ( |  | self | ) |

## ◆ isolateSelected()

isolateSelected | ( |  | self | ) |

## ◆ moveWrtWidget()

moveWrtWidget | ( |  | self,
|  |  | nodePath )

## ◆ moveWrtWidgetAll()

moveWrtWidgetAll | ( |  | self | ) |

## ◆ removeAll()

removeAll | ( |  | self | ) |

## ◆ removeSelected()

removeSelected | ( |  | self | ) |

## ◆ removeTag()

removeTag | ( |  | self,
|  |  | tag )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ select()

select | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = 0,
|  |  | fSelectTag = 1 )

     Select the specified node path.  Multiselect as required

## ◆ toggleVisAll()

toggleVisAll | ( |  | self | ) |

## ◆ toggleVisSelected()

toggleVisSelected | ( |  | self | ) |

## Member Data Documentation

## ◆ deselect

deselect

## ◆ deselectedDict

dict deselectedDict = {}

## ◆ getWrt

getWrt

## ◆ moveWrtWidget

moveWrtWidget

## ◆ selectedDict

selectedDict = {}

## ◆ selectedList

list selectedList = []

## ◆ tagList

list tagList = []